#ifndef AUDIO_H
#define AUDIO_H

#include "defs.h"

#ifdef _HPUX_
#include <sys/audio.h>

#define MAXPLAYBUFFER 256*1024
#define MAXRECBUFFER 256*1024
#endif

#ifdef _LINUX_
#define MAXPLAYBUFFER 256*1024
#define MAXRECBUFFER 256*1024
#endif

#ifdef _UNDEFINED_
#define MAXPLAYBUFFER 256*1024
#define MAXRECBUFFER 256*1024
#endif

int openaudio();
int closeaudio();
int writeaudio(char *buffer, long bufferlength);
int readaudio(char *buffer, long bufferlength);
void initplaybackaudio(int channels);
void pauseaudiooutput();
void resumeaudiooutput();
void resetaudio();
void flushaudio();
long getaudiotxlength();
void initrecordaudio(char input, char *buffer, int channels);
long getaudiorxlength(int frame);
void setrecordgain(int channel, int level);
void getrecordgain(int channels, int *level);
#endif
