#ifndef RECORD_H
#define RECORD_H

struct RecEvent {
  char stoprecord;
  char startover;
  char paused;                  /* recording is paused */
  char pause;                   /* pause button pressed */
  char leveladjust;             /* level adjustment */
  char level;                   /* which level */
  char labeladd;
  char duplex;

  long length;
  char file[256];
  int channels;
  char format;
  char audioinput;
} recevent;                    /* record event flags */

extern long reclabel[MAXRECLABELS];
extern int reclabels;
extern char duplexenable;

void recordreclabel(long x, long  reclabel[], int *reclabels);
void updatetimedisplay(long x);
void rechandleevent(int reclevel[], int channels);
void drawrecordmeter(char *buffer, long audiorxlength, int channels);
int recordsound(long start, long end);

void loadinitrecdir(FILE *in);
void saveinitrecdir(FILE *out);
void loadinitrectype(long value);
long saveinitrectype();

#endif
