#ifndef TEXTBOX_H
#define TEXTBOX_H

#include "defs.h"

typedef struct {
  int x, y, w, h;
  char text[256];
} bctextbox;

void create_text_box(Drawable wdw, Window win, bctextbox *box);
void update_text_box(Drawable wdw, Window win, bctextbox *box);
void activate_box(Drawable wdw, Window win, bctextbox *box);
void deactivate_box(Drawable wdw, Window win, bctextbox *box);
int handle_text_event(Drawable wdw, Window win, XEvent *report, bctextbox *box);

#endif
