#ifndef INTERFAC_H
#define INTERFAC_H

#include "defs.h"
#include "textbox.h"
#include "slider.h"
#include "pictures.h"
#include "fileattr.h"
#include "scrollbar.h"
#include "listbox.h"
#include "input.h"
#include "progressbox.h"
#include "playbox.h"
#include "pot.h"

struct DelWindow {
  int w;
  int h;
  char *title;
  bcbutton yes;
  bcbutton no;
  bcbutton cancel;
} delwindow;

struct ConfirmWindow{
  TWO w;
  TWO h;
  char *title;
  bcbutton yes;
  bcbutton no;
} confirmwindow;

struct MessageWindow{
  TWO w;
  TWO h;
  char *title;
  bcbutton ok;
} messagewindow;

int testbox(int x, int y, bcbox *box);
int testbutton(int x, int y, bcbutton *button);
int buttonpressrelease(Drawable wdw, Window win,
  int x, int y, bcbutton *button);
void flushevents();
int checktimer();
void drawtextbox(Drawable wdw, Window win, bcbox *box, char *text);
void truncatefilename(char *output, char *input);
int confirmdel(char *string);
int confirmoverwrite(char *filename);
int displayalert(char *string);

#endif
