#ifndef MENU_H
#define MENU_H

#define MENUS 6
#define BAR  "menubar"

struct MenuEvent {
  char buttondown;
  char baron;
  char menuon, submenuon;
  int menu, submenu;
  int item, subitem;
  int x, y;
} menuevent;                     /* menu event flags */

void destroymenu();
void drawmenubar(int selected);
int menubuttonpress(XEvent *report);
void menubarmotion(XEvent *report);
void menumotion(XEvent *report);
void submenumotion(XEvent *report);
void menubuttonrelease(XEvent *report);
void submenucommand();
void menucommand();
void loadmenusettings();
void toggleautomation();
void toggleloop();
#endif
