#include "timeconv.h"
#include "interfac.h"
#include "graphics.h"

void fittime(){
  static long windowspan, timescale_;

  windowspan = wavewindow.w * xscale;
  timescale_ = 150 * xscale;
  if(timescale_ <= samplerate) timescale = samplerate;
  else
  if(timescale_ <= samplerate * 10) timescale = samplerate * 10;
  else
  if(timescale_ <= samplerate * 60) timescale = samplerate * 60;
  else
  if(timescale_ <= samplerate * 600) timescale = samplerate * 600;
  else
  if(timescale_ <= samplerate * 3600) timescale = samplerate * 3600;

  for(; timescale > timescale_; timescale /= 2)
    ;
  timescale *= 2;
}

void gettime(long x, char *string){
	int hour, minute;
	float second;

  hour = x / samplerate / 3600;
  minute = x / samplerate / 60 - (long)hour * 60;
  second = (float)x / samplerate - (long)hour * 3600 - (long)minute * 60;
  sprintf(string, "%d:%d:%.3f", hour, minute, second);
}

