#ifndef UNITS_H
#define UNITS_H

#define INFINITYGAIN -20
#define TOTALFREQS 400

                   /* conversion tables */
extern int freqtable[TOTALFREQS + 1];            /* table of frequency conversions */
extern float *todb;           /* todb[(int)power * 100] = (float)db */
extern float *topower;        /* topower[(int)db * 10] = (float)power */

/* initialization functions */
int fromfreq(long value);
long tofreq(int value);
void initfreq();
void initeq(int track1, int newtracks);

void initdb();

#endif
